Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  trait AccessorSynthesis extends SubComponent with Transform with TreeDSL
  Definition Classes
    transform
- AccessorTreeSynthesis
- BitmapInfo
- CODE
- CheckInitAccessorSymbolSynth
- CheckedAccessorSymbolSynth
- CheckedAccessorTreeSynthesis
- Phase
- StdPhase

t

scala.tools.nsc.transform.AccessorSynthesis

# CheckInitAccessorSymbolSynth 

###

#### trait CheckInitAccessorSymbolSynth extends CheckedAccessorSymbolSynth

Source
  AccessorSynthesis.scala

Linear Supertypes
CheckedAccessorSymbolSynth, AnyRef, Any
Known Subclasses
SynthInitCheckedAccessorsIn
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CheckInitAccessorSymbolSynth
2. CheckedAccessorSymbolSynth
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract val clazz: Global.Symbol
   Attributes
     protected
   Definition Classes
     CheckedAccessorSymbolSynth

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CheckInitAccessorSymbolSynth to any2stringadd[CheckInitAccessorSymbolSynth] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CheckInitAccessorSymbolSynth, B)
   Implicit
     This member is added by an implicit conversion from CheckInitAccessorSymbolSynth to ArrowAssoc[CheckInitAccessorSymbolSynth] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def bitmapCategory(sym: Global.Symbol): Global.Name

   Examines the symbol and returns a name indicating what brand of bitmap it requires.

   Examines the symbol and returns a name indicating what brand of bitmap it requires. The possibilities are the BITMAP_* vals defined in StdNames. If it needs no bitmap, nme.NO_NAME.

   bitmaps for checkinit fields are not inherited

   Attributes
     protected
   Definition Classes
     CheckInitAccessorSymbolSynth → CheckedAccessorSymbolSynth
8.  def bitmapFor(sym: Global.Symbol): BitmapInfo
   Definition Classes
     CheckedAccessorSymbolSynth
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def computeBitmapInfos(decls: List[Global.Symbol]): List[Global.Symbol]

    Fill the map from fields to bitmap infos.

    Fill the map from fields to bitmap infos.

    Instead of field symbols, the map keeps their getter symbols. This makes code generation easier later.

    Definition Classes
      CheckedAccessorSymbolSynth
11.  def defaultPos: Position
    Attributes
      protected
    Definition Classes
      CheckedAccessorSymbolSynth
12.  def ensuring(cond: (CheckInitAccessorSymbolSynth) ⇒ Boolean, msg: ⇒ Any): CheckInitAccessorSymbolSynth
    Implicit
      This member is added by an implicit conversion from CheckInitAccessorSymbolSynth to Ensuring[CheckInitAccessorSymbolSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (CheckInitAccessorSymbolSynth) ⇒ Boolean): CheckInitAccessorSymbolSynth
    Implicit
      This member is added by an implicit conversion from CheckInitAccessorSymbolSynth to Ensuring[CheckInitAccessorSymbolSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): CheckInitAccessorSymbolSynth
    Implicit
      This member is added by an implicit conversion from CheckInitAccessorSymbolSynth to Ensuring[CheckInitAccessorSymbolSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): CheckInitAccessorSymbolSynth
    Implicit
      This member is added by an implicit conversion from CheckInitAccessorSymbolSynth to Ensuring[CheckInitAccessorSymbolSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CheckInitAccessorSymbolSynth to StringFormat[CheckInitAccessorSymbolSynth] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hasBitmap(sym: Global.Symbol): Boolean
    Attributes
      protected
    Definition Classes
      CheckedAccessorSymbolSynth
22.  def hasTransientAnnot(field: Global.Symbol): Boolean
    Attributes
      protected
    Definition Classes
      CheckedAccessorSymbolSynth
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  def isTrait: Boolean
    Attributes
      protected
    Definition Classes
      CheckedAccessorSymbolSynth
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  def needsBitmap(sym: Global.Symbol): Boolean
    Definition Classes
      CheckInitAccessorSymbolSynth → CheckedAccessorSymbolSynth
28.  def needsInitFlag(sym: Global.Symbol): Boolean

    Does this field require an initialized bit? Note: fields of classes inheriting DelayedInit are not checked.

    Does this field require an initialized bit? Note: fields of classes inheriting DelayedInit are not checked. This is because they are neither initialized in the constructor nor do they have a setter (not if they are vals anyway). The usual logic for setting bitmaps does therefore not work for such fields. That's why they are excluded. Note: The `checkinit` option does not check if transient fields are initialized.

    Attributes
      protected
29.  def newSlowPathSymbol(lzyVal: Global.Symbol): Global.Symbol
    Definition Classes
      CheckedAccessorSymbolSynth
30.  final def notify(): Unit
    Definition Classes
      AnyRef
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
32.  def slowPathFor(lzyVal: Global.Symbol): Global.Symbol
    Definition Classes
      CheckedAccessorSymbolSynth
33.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  def →[B](y: B): (CheckInitAccessorSymbolSynth, B)
    Implicit
      This member is added by an implicit conversion from CheckInitAccessorSymbolSynth to ArrowAssoc[CheckInitAccessorSymbolSynth] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CheckedAccessorSymbolSynth

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CheckInitAccessorSymbolSynth to any2stringadd[CheckInitAccessorSymbolSynth]

### Inherited by implicit conversion StringFormat from CheckInitAccessorSymbolSynth to StringFormat[CheckInitAccessorSymbolSynth]

### Inherited by implicit conversion Ensuring from CheckInitAccessorSymbolSynth to Ensuring[CheckInitAccessorSymbolSynth]

### Inherited by implicit conversion ArrowAssoc from CheckInitAccessorSymbolSynth to ArrowAssoc[CheckInitAccessorSymbolSynth]

### Ungrouped